Bullet Collision Detection & Physics Library: btReducedDeformableBodyHelpers Struct Reference

Bullet Collision Detection & Physics Library

Static Public Member Functions | List of all members
btReducedDeformableBodyHelpers Struct Reference

`#include <btReducedDeformableBodyHelpers.h>`

## Static Public Member Functions
static btReducedDeformableBody * | createReducedDeformableObject (btSoftBodyWorldInfo &worldInfo, const std::string &file_path, const std::string &vtk_file, const int num_modes, bool rigid_only)
static btReducedDeformableBody * | createFromVtkFile (btSoftBodyWorldInfo &worldInfo, const char *vtk_file)
static void | readReducedDeformableInfoFromFiles (btReducedDeformableBody *rsb, const char *file_path)
static void | readBinaryVec (btReducedDeformableBody::tDenseArray &vec, const unsigned int n_size, const char *file)
static void | readBinaryMat (btReducedDeformableBody::tDenseMatrix &mat, const unsigned int n_modes, const unsigned int n_full, const char *file)
static void | calculateLocalInertia (btVector3 &inertia, const btScalar mass, const btVector3 &half_extents, const btVector3 &margin)

## Detailed Description

Definition at line 7 of file btReducedDeformableBodyHelpers.h.

## Member Function Documentation

## ◆ calculateLocalInertia()

void btReducedDeformableBodyHelpers::calculateLocalInertia | ( | btVector3 & | inertia,
|  | const btScalar | mass,
|  | const btVector3 & | half_extents,
|  | const btVector3 & | margin )
| static

Definition at line 206 of file btReducedDeformableBodyHelpers.cpp.

## ◆ createFromVtkFile()

btReducedDeformableBody * btReducedDeformableBodyHelpers::createFromVtkFile | ( | btSoftBodyWorldInfo & | worldInfo,
|  | const char * | vtk_file )
| static

Definition at line 19 of file btReducedDeformableBodyHelpers.cpp.

## ◆ createReducedDeformableObject()

btReducedDeformableBody * btReducedDeformableBodyHelpers::createReducedDeformableObject | ( | btSoftBodyWorldInfo & | worldInfo,
|  | const std::string & | file_path,
|  | const std::string & | vtk_file,
|  | const int | num_modes,
|  | bool | rigid_only )
| static

Definition at line 7 of file btReducedDeformableBodyHelpers.cpp.

## ◆ readBinaryMat()

void btReducedDeformableBodyHelpers::readBinaryMat | ( | btReducedDeformableBody::tDenseMatrix & | mat,
|  | const unsigned int | n_modes,
|  | const unsigned int | n_full,
|  | const char * | file )
| static

Definition at line 178 of file btReducedDeformableBodyHelpers.cpp.

## ◆ readBinaryVec()

void btReducedDeformableBodyHelpers::readBinaryVec | ( | btReducedDeformableBody::tDenseArray & | vec,
|  | const unsigned int | n_size,
|  | const char * | file )
| static

Definition at line 156 of file btReducedDeformableBodyHelpers.cpp.

## ◆ readReducedDeformableInfoFromFiles()

void btReducedDeformableBodyHelpers::readReducedDeformableInfoFromFiles | ( | btReducedDeformableBody * | rsb,
|  | const char * | file_path )
| static

Definition at line 127 of file btReducedDeformableBodyHelpers.cpp.

The documentation for this struct was generated from the following files:

- btReducedDeformableBodyHelpers.h
- btReducedDeformableBodyHelpers.cpp